# module.mk

# Packaging.
GENERATED += smartshelf-$(VERSION).tar.bz2
CLEANTARGETS += tar smartshelf-$(VERSION).tar.bz2

tar: smartshelf-$(VERSION).tar.bz2

smartshelf-$(VERSION).tar.bz2: clean
	@echo "* TAR $@"
	$(HUSH)dir=$$(basename $$(pwd));\
	cd ..;\
	tar -c $$dir --exclude=CVS --exclude=.cvsignore --exclude='.*.swp' \
		--exclude=$@ --owner=0 --group=0 --mode=u+rw | bzip2 - > $$dir/$@

# vim: set ts=4 sw=4 tw=80 noet:
