/* dev/rfid.h
 *
 * RFID tag reader.
 *
 * Copyright (C) 2003, 2004
 * Zorica Majdov <zmajdov@virtuoso.com>
 * Andy Goth     <unununium@openverse.com>
 *
 * This code is available under the GNU General Public License; see COPYING. */

#ifndef SEEN_DEV_RFID_H
#define SEEN_DEV_RFID_H

#include "lib/device.h"

/* Connects 'd' to an RFID tag reader. */
extern int rfid_open(device_t* d);

#endif

/* vim: set ts=4 sts=4 sw=4 tw=80 et: */
/* EOF */
